:root {
    --primary-color: #00acd2;
    --secondary-color: #c6c8ca;
    --teritary-color: #ffffff;
    --text-color: #344966;
    --napomena-color: #C6C8CA;
    --aside-color: #f1f1f1;
}

* {
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

header {
    width: 100%;
    position: fixed;
    top: 0;
    z-index: 100;
    background-color: #ffffff;
    padding: 15px 0;
    filter: drop-shadow(0px -10px 20px #c6c8ca);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#skipTo {
    display: none;
}

header img {
    padding-left: 4%;
}

.desktopOnly {
    padding-right: 5%;
}

.desktopOnly h2 {
    vertical-align: bottom;
    text-transform: uppercase;
    color: var(--secondary-color);
    font-weight: 600;
}

.desktopOnly h2 a,
.topnav #myLinks a {
    color: var(--primary-color);
    text-decoration: none;
}

.desktopOnly h2 a:hover,
.topnav #myLinks a:hover {
    opacity: .85;
}

#myLinks,
.mobileOnly {
    display: none;
}

.row {
    margin-right: 0;
    margin-left: 0;
}

.videofile {
    border: 1px solid red;
}

body {
    font-family: 'Roboto', Arial, Helvetica, sans-serif;
    font-style: normal;
    font-size: 100%;
    font-weight: 700;
    letter-spacing: 0.05rem;
    background-color: #ffffff;
    color: #344966;
    width: 100%;
    display: flex;
}

aside {
    position: fixed;
    width: 15vw;
    height: 100%;
    background-color: var(--aside-color);
}

main {
    margin-left: 15vw;
    width: 100%;
    padding: 0 10%;
    background-color: var(--teritary-color);
}

.tab {
    display: none;
}

.koraciWrap {
    position: absolute;
    margin: 0;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.step {
    margin: 3rem;
    display: flex;
    justify-content: center;
    text-align: center;
}

.broj {
    position: relative;
    color: var(--secondary-color);
    width: 4rem;
    height: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 50%;
    border: 0.3rem solid var(--secondary-color);
    opacity: 0.9;
    transition: all 500ms ease-in-out;
}

.broj::before {
    content: '';
    position: absolute;
    top: -2.3rem;
    width: 4px;
    height: 1rem;
    border-radius: 2px;
    background-color: var(--secondary-color);
}

.activeStep::before,
.completedStep::before {
    content: '';
    background-color: var(--primary-color);
    transition: all 500ms ease-in-out;
}

.broj-first::before {
    content: none;
}

.broj h3 {
    font-weight: 500;
    font-size: 2.5rem;
    transition: all 500ms ease-in-out;
}

.activeStep {
    opacity: 1;
    border: 0.5rem solid var(--text-color);
    color: var(--text-color);
    width: 6rem;
    height: 6rem;
    transition: all 500ms ease-in-out;
}

.activeStep h3 {
    font-weight: 700;
    font-size: 3.4rem;
}

.completedStep {
    border: 0.3rem solid var(--primary-color);
    font-weight: 500;
    font-size: 1.6rem;
    color: var(--primary-color);
    opacity: 1;
    transition: all 500ms ease-in-out;
}

.centered {
    margin: 0 auto;
    text-align: center;
    width: 90%;
}

.justified-center {
    justify-content: center;
}

.space-ar {
    display: flex;
    justify-content: center;
}

button {
    font-size: 1.1rem;
    font-weight: 600;
    letter-spacing: 0.1rem;
    vertical-align: middle;
    padding: 0.5vw 3vw;
    border-radius: 0.15vw;
    cursor: pointer;
}

.primary {
    margin-left: 1rem;
    color: var(--teritary-color);
    background-color: var(--primary-color);
    border: 0.2vw solid transparent;
    opacity: 1;
    transition: 0.3s ease-out;
}

.primary:hover {
    opacity: 0.85;
}

.secondary {
    margin-right: 1rem;
    color: var(--primary-color);
    background-color: transparent;
    border: 0.2vw solid transparent;
    opacity: 1;
    transition: 0.3s ease-out;
}

.secondary:hover {
    border-bottom: 0.2vw solid var(--primary-color);
}

.padded {
    padding: 15% 0 0;
}

.padded2 {
    padding: 2rem 0 5rem;
}

.margTop {
    margin-top: 3rem;
}

.margBot {
    margin-bottom: 2rem;
}

.uppercase {
    text-transform: uppercase;
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 1rem;
    font-weight: 800;
}

h3 {
    font-size: 1.5rem;
    font-weight: 800;
}

.imgtext {
    font-size: 1rem;
    font-weight: 800;
    padding-top: 1vw;
    color: var(--secondary-color);
}

label {
    font-size: 1rem;
    font-weight: 700;
}

.napomena {
    font-size: 0.9rem;
    font-weight: lighter;
    color: var(--napomena-color);
    letter-spacing: 0.07rem;
    vertical-align: bottom;
    padding-top: 0.5rem;
}


/*-----------------------------------------------------*/

.pitanje {
    display: block;
    width: 100%;
    padding: 3vw 0;
    align-items: center;
}

.kolona-1 {
    display: inline-block;
    width: 15%;
    text-align: center;
    vertical-align: middle;
}

.kolona-2 {
    display: inline-block;
    vertical-align: middle;
    width: 75%;
}

.kolona-3 {
    display: flex;
    width: auto;
    justify-content: space-evenly;
    padding-top: 3vw;
}

.kolona-95 {
    display: inline-block;
    vertical-align: middle;
    width: 84%;
}

.kolona-100 {
    display: flex;
    padding: 0;
    width: 100%;
}

.box {
    display: block;
    margin: 1rem 0 0 0;
    padding: 0 0 5vw 0;
    width: 32%;
}

.boxer {
    position: relative;
    margin: 0 1rem;
    overflow: hidden;
    width: 80%;
    background-color: var(--aside-color);
    transition: 0.2s ease-out;
    outline: .2rem dashed var(--primary-color);
    outline-offset: -.2rem;
    border-radius: .5rem;
    opacity: 1!important;
}

.boximg {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    margin-left: auto;
    margin-right: auto;
    opacity: .65;
}

.boximg:hover {
    opacity: 1;
    cursor: pointer;
    transition: 0.2s ease-out;
}

.boxer:hover {
    outline: none;
    opacity: 1;
}

.box .imgtext {
    padding-top: 1.2vw;
    font-size: 1rem;
    font-weight: 600;
}


/* Stari layout - sve u jednom redu

.pitanje{
    display: flex;
    align-items: top;
    width: 100%;
    padding: 3% 0;
}

.kolona-1{
    width: 5%;
}
.kolona-2{
    width: 50%;
    padding-top: 0.35rem;
}
.kolona-3{
    width: 40%;
    padding-left: 3%;
    margin-top: 1.5rem;
    position: relative;
}
.kolona-95{
    width: 95%;
}
.kolona-100{
    width: 95%;
    padding: 1vw 0 3vw 5%;
    display: flex;
    justify-content: space-between;
}

.box img{
    width:10vw;
    border-radius: 0.5vw;
    outline: 0.2vw dashed #00acd2;
    outline-offset: -0.2vw;
    opacity: 0.6;
    transition: 0.3s ease-out;
}

----------------------------------------------------------------
*/

.btn {
    text-transform: uppercase;
    padding: .5rem 1.5rem;
}

.btn-primary {
    background-color: var(--primary-color);
    color: var(--teritary-color);
    border: none;
}

.btn-primary:hover {
    background-color: var(--primary-color);
    opacity: .85;
}

.btn-label {
    text-transform: uppercase;
    border: 0.2vw solid var(--secondary-color);
    padding: 0.5vw 3vw;
    color: var(--secondary-color);
    font-weight: 500;
    margin-left: 0;
    border-radius: 0.15vw;
    cursor: pointer;
}

.btn-label:hover {
    border-color: var(--primary-color);
    color: var(--primary-color);
}

.skip {
    position: absolute;
    right: 0;
    top: 0;
    padding: 0 1vw;
}

#imageSkip {
    display: none;
}

.active_label {
    background-color: var(--primary-color);
    color: var(--teritary-color);
    border: 0.2vw solid var(--primary-color);
    filter: drop-shadow( 0.05vw 0.2vw 0.2vw #c6c8ca);
    cursor: pointer;
}

.active_label:hover {
    color: var(--teritary-color);
}

select,
input[type="email"],
input[type="number"],
input[type="date"],
input[type="text"] {
    width: 70%;
    border-radius: 0.15vw;
    border: 0.2vw solid var(--primary-color);
    padding: 0.4vw 0.4vw 0.4vw;
    font-size: 1.1rem;
    font-weight: 600;
    letter-spacing: 0.1rem;
    color: var(--primary-color);
}

#zeljena_ordinacija {
    text-transform: uppercase;
}

select:focus,
input[type="email"]:focus,
input[type="number"]:focus,
input[type="date"]:focus,
input[type="text"]:focus {
    color: var(--primary-color);
    border-color: var(--primary-color);
    outline: none;
}

input[type="email"]::placeholder,
input[type="number"]::placeholder,
input[type="date"]::placeholder,
input[type="text"]::placeholder {
    color: var(--secondary-color);
    font-weight: 300;
}


/* Mark input boxes that gets an error on validation: */

.invalid {
    outline: 4px solid #ff8181;
}

select:focus {
    outline: none;
}

select:invalid {
    color: var(--secondary-color);
}

select option {
    color: var(--primary-color);
}

select option:disabled {
    color: var(--secondary-color);
}

.posalji {
    color: var(--teritary-color);
    font-size: 1.1rem;
    font-weight: 600;
    letter-spacing: 0.1rem;
    vertical-align: middle;
    padding: 0.5vw 3vw;
    border-radius: 0.15vw;
    background-color: var(--primary-color);
    border: 0.2vw solid var(--primary-color);
    filter: drop-shadow( 0.05vw 0.2vw 0.2vw #c6c8ca);
    cursor: pointer;
    opacity: 1;
    transition: 0.3s ease-out;
}

.posalji:hover {
    opacity: 0.85;
}


/*VERIFY PAGE STYLE*/

.wrapperVerify {
    margin: 0;
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.wrapperVerify .naslov h1,
.wrapperUpute .naslov h1 {
    font-family: 'Roboto', sans-serif;
    font-size: 5rem;
    font-weight: 900;
    text-align: left;
    color: #00acd2;
}

.paragraf p {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.2rem;
    font-weight: 500;
    text-align: left;
    color: #344966;
}

.wrapperUpute {
    width: 100%;
    position: relative;
    top: 10rem;
}


/*CUSTOM UPLOAD FILE*/

.custom-upload-button {
    position: relative;
    color: var(--text-color);
    width: 70%;
    cursor: pointer;
    font-size: 1rem;
    background-color: #e9e9e9;
    padding: .3rem 0 .3rem;
    border-radius: .15vw;
    -webkit-transition: all ease-out 0.2s;
    transition: all ease-out 0.2s;
}

.custom-upload-button::-webkit-file-upload-button {
    visibility: hidden;
}

.custom-upload-button:hover {
    background-color: #f1f1f1;
}

.custom-upload-button::after {
    display: inline-block;
    font-family: Arial, Helvetica, sans-serif;
    content: 'Odaberi datoteku';
    position: absolute;
    right: 0;
    top: 0;
    padding: .9rem 1.5rem;
    color: white;
    display: inline-block;
    background: #00acd2;
    border-radius: 3px;
    outline: none;
    white-space: nowrap;
    -webkit-user-select: none;
    cursor: pointer;
    font-weight: 600;
    letter-spacing: .08rem;
    font-size: 1rem;
    vertical-align: middle;
    text-align: center;
    -webkit-transition: all ease-out 0.2s;
    transition: all ease-out 0.2s;
}

.custom-upload-button:hover::after {
    background-color: #12b8dd;
}

.custom-upload-button::before {
    display: inline-block;
    font-family: FontAwesome;
    content: "\f0ee";
    color: #1A2425;
    display: inline-block;
    background-color: #e9e9e9;
    padding: 0 0 0 .8rem;
    border-radius: 3px;
    outline: none;
    white-space: nowrap;
    -webkit-user-select: none;
    cursor: pointer;
    font-weight: 700;
    font-size: 2.2rem;
    vertical-align: middle;
    text-align: center;
    -webkit-transition: all ease-out 0.2s;
    transition: all ease-out 0.2s;
}

.custom-upload-button:hover::before {
    background-color: #f1f1f1;
    outline: none;
    box-shadow: none;
}

.custom-upload-button:active {
    outline: 0;
}


/*TABLET ---------------------------------------------------------------*/

@media only screen and (max-width: 991px) and (min-width: 601px) {
    header {
        display: flex;
        justify-content: center;
        padding: 0;
        height: 60px;
        filter: none;
        z-index: 100;
    }
    .desktopOnly {
        display: none;
    }
    .mobileOnly {
        display: block;
    }
    .topnav {
        position: relative;
        text-align: right;
        top: -2rem;
    }
    .topnav .icon {
        font-size: 2rem;
        padding: .5rem 1rem;
        margin-right: .5rem;
        color: var(--secondary-color);
    }
    .topnav .icon:focus {
        color: var(--primary-color);
    }
    #myLinks {
        padding: .5rem .5rem 1rem;
        margin: .5rem .5rem 0 0;
    }
    aside {
        display: inline;
        width: 100%;
        height: 60px;
        margin-top: 60px;
        padding: 3vw 0;
        z-index: 100;
    }
    .koraciWrap {
        position: relative;
        padding-top: 0;
        padding: 0 5vw;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }
    /* Mark input boxes that gets an error on validation: */
    input.invalid {
        background-color: #ffdddd;
    }
    .step {
        margin: 0;
        display: inline-block;
    }
    .broj {
        width: 3rem;
        height: 3rem;
    }
    .broj::before {
        content: '';
        top: 20px;
        left: -7vw;
        width: 1rem;
        height: 5px;
        border-radius: 2px;
    }
    .broj-first::before {
        content: none;
    }
    .activeStep::before,
    .completedStep::before {
        top: 20px;
    }
    .broj h3 {
        font-weight: 400;
        font-size: 2rem;
    }
    .activeStep {
        border: 0.4rem solid var(--secondary-color);
        width: 4rem;
        height: 4rem;
    }
    .activeStep h3 {
        font-weight: 500;
        font-size: 3rem;
    }
    main {
        margin-left: 0;
        margin-top: 140px;
        width: 100%;
        padding: 0 5%;
    }
    h1 {
        font-size: 3.2rem;
        width: 95%;
    }
    h2 {
        font-size: 1.1rem;
        font-weight: 800;
        width: 95%;
    }
    h3 {
        font-size: 1.5rem;
        font-weight: 800;
    }
    label {
        font-size: 1.3rem;
        font-weight: 700;
    }
    .pitanje {
        display: block;
        width: 100%;
        padding: 8vw 0;
        align-items: center;
    }
    .kolona-1 {
        display: inline-block;
        width: 12%;
        text-align: center;
        vertical-align: middle;
    }
    .kolona-2 {
        display: inline-block;
        vertical-align: middle;
        width: 87%;
    }
    .kolona-3 {
        display: flex;
        width: auto;
        justify-content: space-evenly;
        padding-top: 4vw;
    }
    .kolona-100 {
        display: inline;
        padding: 0;
        padding-left: 17%;
    }
    .box {
        display: inline-block;
        width: 32%;
        padding-bottom: 5vw;
    }
    .boxer {
        margin: 0 1rem;
        width: 90%;
    }
    .box .imgtext {
        padding-top: 2vw;
        font-size: 1.3rem;
    }
    .video-instrukcije {
        padding-left: 0!important;
    }
    .napomena {
        font-size: .8rem;
        font-weight: lighter;
        color: var(--napomena-color);
    }
    .text-center-tablet {
        text-align: center;
    }
    .btn-label {
        border: 0.5vw solid var(--secondary-color);
        padding: 1vw 5vw;
        color: var(--secondary-color);
        font-size: 1.3rem;
        font-weight: 500;
        border-radius: 0.6vw;
    }
    .active_label {
        border: 0.5vw solid var(--primary-color);
        color: var(--teritary-color);
    }
    select,
    input[type="email"],
    input[type="number"],
    input[type="date"],
    input[type="text"] {
        width: 75%;
        border-radius: 0.5vw;
        border: 0.5vw solid var(--primary-color);
        padding: 1.2vw 1.5vw 1.1vw;
        font-size: 1.2rem;
        font-weight: 600;
        letter-spacing: 0.08rem;
    }
    .custom-upload-button {
        width: 75%;
    }
    .posalji {
        width: 50%;
        font-size: 1.4rem;
        font-weight: 600;
        padding: 2vw 0;
        border-radius: 0.6vw;
        border: 0.5vw solid var(--primary-color);
    }
    .right {
        text-align: center;
    }
    .justified-center {
        display: flex;
        justify-content: center;
    }
    .primary {
        width: 50%;
        font-size: 1.4rem;
        font-weight: 600;
        padding: 2vw 0;
        border-radius: 0.6vw;
        border: 0.5vw solid var(--primary-color);
    }
    .secondary {
        width: 50%;
        font-size: 1.4rem;
        font-weight: 600;
        padding: 2vw 0;
        border-radius: 0.6vw;
        border: 0.5vw solid var(--primary-color);
    }
    .space-ar {
        display: flex;
        justify-content: space-around;
    }
    .wrapperVerify {
        margin: 0;
        width: 100%;
        padding-top: 10rem;
        padding-left: 5%;
        padding-right: 5%;
    }
    .wrapperVerify .naslov h1,
    .wrapperUpute .naslov h1 {
        font-size: 4rem;
        text-align: center;
    }
    .paragraf p {
        font-size: 1.1rem;
        text-align: center;
    }
    .wrapperUpute {
        top: 5rem;
        padding-left: 5%;
        padding-right: 5%;
    }
}


/*PHONE ---------------------------------------------------------------*/

@media only screen and (max-width: 600px) {
    header {
        display: flex;
        justify-content: center;
        padding: 0;
        height: 40px;
        filter: none;
        z-index: 100;
    }
    .desktopOnly {
        display: none;
    }
    .mobileOnly {
        display: block;
    }
    .topnav {
        position: relative;
        background-color: var(--aside-color);
        padding-top: .7rem;
        padding-bottom: .3rem;
        text-align: center;
        top: 0;
    }
    .topnav .icon {
        font-size: 2rem;
        padding: .2rem 1rem;
        color: var(--secondary-color);
    }
    .topnav .icon:focus {
        color: var(--primary-color);
    }
    #myLinks {
        margin-top: .5rem;
        padding-bottom: 1rem;
    }
    aside {
        display: inline;
        width: 100%;
        height: 60px;
        margin-top: 40px;
        padding: 3vw 0;
        z-index: 100;
    }
    .koraciWrap {
        position: relative;
        padding-top: 0;
        padding: 0 5vw;
        display: flex;
        justify-content: space-around;
        align-items: center;
    }
    .step {
        margin: 0;
        display: inline-block;
    }
    .broj {
        width: 2.5rem;
        height: 2.5rem;
    }
    .broj::before {
        content: '';
        top: 15px;
        left: -7vw;
        width: 10px;
        height: 10px;
        border-radius: 50%;
    }
    .broj-first::before {
        content: none;
    }
    .activeStep::before,
    .completedStep::before {
        top: 15px;
    }
    .broj h3 {
        font-weight: 500;
        font-size: 1.5rem;
    }
    .activeStep {
        border: 0.4rem solid var(--secondary-color);
        width: 3.3rem;
        height: 3.3rem;
    }
    .activeStep h3 {
        font-weight: 600;
        font-size: 2.5rem;
    }
    main {
        margin-left: 0;
        margin-top: 160px;
        width: 100%;
        padding: 0 5%;
    }
    h1 {
        font-size: 2.1rem;
        width: 95%;
    }
    h2 {
        font-size: 0.8rem;
        font-weight: 800;
        width: 95%;
    }
    h3 {
        font-size: 1.7rem;
        font-weight: 800;
    }
    .imgtext {
        font-size: 1rem;
        font-weight: 800;
        padding-top: 1vw;
        color: var(--secondary-color);
    }
    label {
        font-size: 0.8rem;
        font-weight: 800;
    }
    .pitanje {
        display: block;
        align-items: center;
        text-align: center;
        width: 100%;
        padding: 5vw 0;
    }
    .kolona-1 {
        display: flex;
        width: 100%;
        justify-content: center;
        padding-bottom: 3vw;
    }
    .kolona-2 {
        display: block;
        width: 100%;
    }
    .kolona-3 {
        display: flex;
        width: auto;
        justify-content: space-around;
        padding: 5vw 0;
    }
    .kolona-100 {
        display: block;
        width: auto;
        padding: 0;
    }
    .box {
        padding-bottom: 10vw;
        width: 100%;
    }
    .box .imgtext {
        padding-top: 2vw;
        font-size: 0.9rem;
    }
    .boxer {
        margin: 0 auto;
        width: 70%;
    }
    .video-instrukcije {
        padding-left: 0!important;
    }
    .napomena {
        font-size: 0.8rem;
        font-weight: lighter;
        color: var(--napomena-color);
    }
    .btn-mobilno100 {
        width: 100%;
    }
    .btn-label {
        border: 1vw solid var(--secondary-color);
        padding: 2.5vw 8vw;
        color: var(--secondary-color);
        font-size: 1rem;
        font-weight: 500;
        border-radius: 1vw;
    }
    .btn-label-extra {
        margin: 0 .5rem;
    }
    .active_label {
        border: 1vw solid var(--primary-color);
        color: var(--teritary-color);
    }
    select,
    input[type="email"],
    input[type="number"],
    input[type="date"],
    input[type="text"] {
        width: 100%;
        border-radius: 1vw;
        border: 1vw solid var(--primary-color);
        padding: 2.5vw 2vw 2.3vw;
        font-size: 0.8rem;
        font-weight: 600;
        letter-spacing: 0.08rem;
    }
    .custom-upload-button {
        width: 100%;
    }
    .posalji {
        width: 100%;
        font-size: 1rem;
        font-weight: 600;
        padding: 2.5vw 0;
        border-radius: 1vw;
        border: 1vw solid var(--primary-color);
    }
    .right {
        text-align: center;
    }
    .margTop {
        margin-top: 2rem;
    }
    .margBot {
        margin-bottom: 2rem;
    }
    .primary {
        width: 100%;
        font-size: 1rem;
        font-weight: 600;
        padding: 2.5vw 0;
        border-radius: 1vw;
        border: 1vw solid var(--primary-color);
        margin: 0;
    }
    .secondary {
        width: 100%;
        font-size: 1rem;
        font-weight: 600;
        padding: 2.5vw 0;
        border-radius: 1vw;
        border: 1vw solid var(--primary-color);
        margin: 0;
        margin-bottom: 1rem;
    }
    .space-ar {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
    }
    .wrapperVerify {
        margin-top: 40px;
        padding-left: 5%;
        padding-right: 5%;
    }
    .wrapperVerify .naslov h1,
    .wrapperUpute .naslov h1 {
        font-size: 2rem;
        text-align: center;
    }
    .paragraf p {
        font-size: 1rem;
        text-align: center;
    }
    .wrapperUpute {
        top: 5rem;
        padding-left: 5%;
        padding-right: 5%;
    }
}